### Method

# Pango FontMap reload_font

since: 1.52

#### Declaration [src]

    PangoFont*
    pango_font_map_reload_font (
      PangoFontMap* fontmap,
      PangoFont* font,
      double scale,
      PangoContext* context,
      const char* variations
    )

#### Description [src]

Returns a new font that is like `font`, except that it is scaled by `scale`, its backend-dependent configuration (e.g. cairo font options) is replaced by the one in `context`, and its variations are replaced by `variations`.

Note that the scaling here is meant to be linear, so this scaling can be used to render a font on a hi-dpi display without changing its optical size.

Available since: 1.52

#### Parameters

`font`

  Type: `PangoFont`

  A font in `fontmap`.

  The data is owned by the caller of the method.

`scale`

  Type: `double`

  The scale factor to apply.

`context`

  Type: `PangoContext`

  A `PangoContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`variations`

  Type: `const char*`

  Font variations to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PangoFont`

The modified font.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.